libzypp: zyppng::BasicReportHelper Class Reference

libzypp 17.38.10

zyppng::BasicReportHelper Class Reference

`#include <zypp/ng/reporthelper.h>`

Inheritance diagram for zyppng::BasicReportHelper:

## Public Member Functions
| BasicReportHelper (const BasicReportHelper &)=default
| BasicReportHelper (BasicReportHelper &&)=default
BasicReportHelper & | operator= (const BasicReportHelper &)=default
BasicReportHelper & | operator= (BasicReportHelper &&)=default
const ContextRef & | zyppContext ()

## Static Public Member Functions
static constexpr bool | async ()

## Protected Member Functions
| BasicReportHelper (ContextRef &&ctx)

## Protected Attributes
ContextRef | _ctx

## Detailed Description

Definition at line 58 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ BasicReportHelper() [1/3]

zyppng::BasicReportHelper::BasicReportHelper | ( | const BasicReportHelper & |  | ) |
| default

## ◆ BasicReportHelper() [2/3]

zyppng::BasicReportHelper::BasicReportHelper | ( | BasicReportHelper && |  | ) |
| default

## ◆ BasicReportHelper() [3/3]

zyppng::BasicReportHelper::BasicReportHelper | ( | ContextRef && | ctx | ) |
| protected

Definition at line 18 of file reporthelper.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

BasicReportHelper & zyppng::BasicReportHelper::operator= | ( | const BasicReportHelper & |  | ) |
| default

## ◆ operator=() [2/2]

BasicReportHelper & zyppng::BasicReportHelper::operator= | ( | BasicReportHelper && |  | ) |
| default

## ◆ zyppContext()

const ContextRef & zyppng::BasicReportHelper::zyppContext | ( |  | ) |
| inline

Definition at line 65 of file reporthelper.h.

## ◆ async()

constexpr bool zyppng::BasicReportHelper::async | ( |  | ) |
| inlinestaticconstexpr

Definition at line 69 of file reporthelper.h.

## Member Data Documentation

## ◆ _ctx

ContextRef zyppng::BasicReportHelper::_ctx
| protected

Definition at line 75 of file reporthelper.h.

The documentation for this class was generated from the following files:

- zypp/ng/reporthelper.h
- zypp/ng/reporthelper.cc